INTERFACE
SUBROUTINE NALAN1 (KDIM,KWRKDIM,KITER,KWEIG,PKAPA,PVATRA,KMTRA)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE CONTROL_VECTORS_COMM_MOD
USE CONTROL_VECTORS
USE RANDOM_NUMBERS_MIX
INTEGER(KIND=JPIM),INTENT(IN) :: KMTRA
INTEGER(KIND=JPIM),INTENT(IN) :: KDIM
INTEGER(KIND=JPIM),INTENT(IN) :: KWRKDIM
INTEGER(KIND=JPIM),INTENT(INOUT) :: KITER
INTEGER(KIND=JPIM),INTENT(IN) :: KWEIG
REAL(KIND=JPRB) ,INTENT(IN) :: PKAPA
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVATRA(KMTRA)
END SUBROUTINE NALAN1
END INTERFACE
